import React from 'react';
import { IconProps } from '@gravity-ui/uikit';
import { Action, ActionStorage } from '../../core';
import { ToolbarBaseProps, ToolbarIconData } from '../../toolbar';
export declare type ToolbarButtonWithPopupMenuProps = Omit<ToolbarBaseProps<ActionStorage> & {
    icon: ToolbarIconData;
    title: string | (() => string);
    menuItems: {
        id: string;
        action: Action;
        icon: IconProps['data'];
        text: string;
        iconSize?: number;
        iconClassname?: string;
        group?: string;
    }[];
}, 'editor'>;
export declare const ToolbarButtonWithPopupMenu: React.FC<ToolbarButtonWithPopupMenuProps>;
